<template>
  <div class="w-full h-full flex flex-col gap-2">
    <div class="grow">
      <iframe ref="viewer" class="w-full h-full" />
    </div>

    <button primary-outline class="!w-fit self-end" @click="closeModal">schließen</button>
  </div>
</template>

<script setup lang="ts">
import { defineComponent } from "vue";
import { mapState, mapActions } from "pinia";
import { useModalStore } from "@/stores/modal";
import Spinner from "@/components/Spinner.vue";
import { useProtocolPrintoutStore } from "@/stores/admin/protocolPrintout";
</script>

<script lang="ts">
export default defineComponent({
  computed: {
    ...mapState(useModalStore, ["data"]),
  },
  mounted() {
    this.fetchItem();
  },
  methods: {
    ...mapActions(useModalStore, ["closeModal"]),
    ...mapActions(useProtocolPrintoutStore, ["fetchProtocolPrintoutById"]),
    fetchItem() {
      this.fetchProtocolPrintoutById(this.data)
        .then((response) => {
          const blob = new Blob([response.data], { type: "application/pdf" });
          (this.$refs.viewer as HTMLIFrameElement).src = window.URL.createObjectURL(blob);
        })
        .catch(() => {});
    },
  },
});
</script>
